Skip to content

Register subaccount

POST
/v1/account/subaccount

Creates a new subaccount. These endpoints can only be called by a primary account API key with Trade permissions.

Query Parameter isProprietarySubAccount

An optional boolean value indicating whether to create a proprietary subaccount (label only) or a customer subaccount (including KYC data). If not provided, the default is false.

Create Proprietary Subaccount (Label Only)

Set isProprietarySubAccount to true. Only the label field is required in the request body.

Create Customer Subaccount (With KYC Info)

Set isProprietarySubAccount to false. Note that label, identityNumber, and cellNumber should be unique per subaccount.

Note: Registering subaccounts with KYC information is not available to all clients and will not work unless VALR has specifically enabled this for your account. Please contact help@valr.com if you have already been enabled to utilise these endpoints but are having technical difficulty using them. Please contact business@valr.com if you believe these endpoints are required for your use case.

Currently the number of subaccounts per primary account is limited to a maximum of 2000.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

isProprietarySubAccount

A boolean value indicating whether to create a proprietary subaccount (label only) or a customer subaccount (including KYC data). Defaults to false.

Type
boolean

Request Body

application/json
JSON
{
"label": "Arbitrage Acc 001"
}

Responses

Subaccount created successfully

application/json

Playground

Authorization
Variables
Key
Value
Body

Samples